<?php
//  BARMAZ erp system
//  Copyright (c) BARMAZ Group
//  Web: https://BARMAZ.ru/
//  Commercial license https://BARMAZ.ru/article/litsenzionnoe-soglashenie.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 203 (2024-01-07 23:05:31)
// 

//BARMAZ_MODULE_INFO

defined('_BARMAZ_VALID') or die("Access denied");

$tablname	= 'goods_img';
$use_view_rights="goods";
$keystring	= 'i_id';
$enabled	= 'i_enabled';
$deleted	= 'i_deleted';
$nametabl	= "Additional product images";
$multy_field='i_gid';
$parent_view="goods";
$parent_name='g_name';
$parent_code='g_id';
$ordering_field	= "i_ordering";	// Поле порядка отображения
//$ordering_parent = "i_gid";			// Поле внутри которого существует порядок отображения
$buttons = array(
		"go_up"=> array("show"=>1,"link"=>false),
		"new"		=> array("show"=>1,"view"=>"images","task"=>"modify"),
		"filter"	=> array("show"=>1,"view"=>"images"),
		"modify"	=> array("show"=>1,"view"=>"images","task"=>"modify"),
		"delete"	=> array("show"=>1,"view"=>"images","task"=>"delete"),
		"undelete"	=> array("show"=>1,"view"=>"images","task"=>"delete"),
		"reorder"	=> array("show"=>1,"view"=>"images","task"=>"reorder"),
		"trash"		=> array("show"=>1,"link"=>false),
		"clean_trash"		=> array("show"=>1,"link"=>false)
);
$cur_table_arr = array(
		"field"		=> array(1=>'i_id', 'i_gid', 'i_title', 'i_image', 'i_title_img',
								'i_alt_img', 'i_thumb', 'i_title_thm', 'i_alt_thm', 'i_ordering',
								'i_enabled', 'i_deleted','i_med_image', 'i_title_med_img',
								'i_alt_med_img'),
		"name"		=> array(1=>'ID','Goods name', 'Title', 'Image', 'Title image',
								'Alt image', 'Thumb','Title thumb','Alt thumb', 'Ordering',
								'Published', 'Delete mark','Medium image','Title medium image',
								'Alt medium images'),
		"val_type"	=> array(1=>'int','int','string', 'string', 'string',
								'string', 'string', 'string', 'string', 'int',
								'boolean', 'boolean','string', 'string', 'string'),
		"input_type"	=> array(1=>'hidden', 'label_sel', 'text', 'image', 'text',
									'text', 'image','text','text', 'text',
								'checkbox', 'hidden', 'image', 'text','text'),
		"link"=>array(1=>'index.php?module=catalog&view=images&task=modify&psid=[0]&multy_code=[1]'),
		"link_key"=>array(1=>'id,i_gid'),
		"link_type"=>array(1=>''),		
		"upload_path"=>array(4=>'i/fullsize', 7=>'i/thumbs',13=>'i/medium'),
		"ch_table" => array(2=>"goods"),
		"ch_field" => array(2=>"g_name"),
		"ch_id"    => array(2=>"g_id")
);
?>