<?php
//  BARMAZ erp system
//  Copyright (c) BARMAZ Group
//  Web: https://BARMAZ.ru/
//  Commercial license https://BARMAZ.ru/article/litsenzionnoe-soglashenie.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 203 (2024-01-07 23:05:31)
// 

//BARMAZ_MODULE_INFO

defined('_BARMAZ_VALID') or die("Access denied");

class catalogModelDiscounts extends SpravModel {
	public function getGoods($psid){
		$sql="SELECT DISTINCT d.g_id AS id, CONCAT(g.g_sku,' : ', g.g_name) AS title FROM #__goods_discounts AS d, #__goods AS g WHERE g.g_id=d.g_id AND d.d_id=".$psid;
		$this->_db->setQuery($sql);
		return $this->_db->loadAssocList();
	}
	public function saveGoods($psid, $goods){
		$sql="DELETE FROM #__goods_discounts WHERE d_id=".$psid.$this->_db->getDelimiter();
		$res=true;
		if(count($goods)){
			foreach($goods as $gid){
				$sql.="INSERT INTO #__goods_discounts VALUES(".$gid.",".$psid.")".$this->_db->getDelimiter();
			}
		}
		$this->_db->setQuery($sql);
		return $this->_db->query_batch(true,true);
	}
}
?>