<?php
//  BARMAZ erp system
//  Copyright (c) BARMAZ Group
//  Web: https://BARMAZ.ru/
//  Commercial license https://BARMAZ.ru/article/litsenzionnoe-soglashenie.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 203 (2024-01-07 23:05:31)
// 

//BARMAZ_MODULE_INFO

defined('_BARMAZ_VALID') or die("Access denied");

class defaultVieworders extends SpravView {

	public function getOrderFiles($psid){
		$sql="SELECT * FROM #__orders_files WHERE f_item_id=".$psid;
		Database::getInstance()->setQuery($sql);
		$res=Database::getInstance()->loadObjectList();
		$html_arr=array();
		if(count($res)) {
			foreach($res as $file){
				$path=BARMAZ_UF_PATH."catalog".DS."orders".DS.Files::splitAppendix($file->f_opt_file, true);
				if(Files::isImage($path)){
					$href=BARMAZ_UF."/catalog/orders/".Files::splitAppendix($file->f_opt_file);
					$html_arr[]="<a class=\"relpopup\" href=\"".$href."\">".$file->f_opt_title.": ".$file->f_opt_file."</a>";
				} else {
					$href=Router::_("index.php?module=catalog&task=downloadFile&folder=".urlencode("orders/".Files::getAppendix($file->f_opt_file))."&filename=".urlencode($file->f_opt_file));
					$html_arr[]="<a target=\"_blank\" href=\"".$href."\">".$file->f_opt_title.": ".$file->f_opt_file."</a>";
				}
			}
		} else {
			$html_arr[]=Text::_("Files absent");
		}
		return implode("<br />", $html_arr);	
	}
	
}
?>