<?php
//  BARMAZ erp system
//  Copyright (c) BARMAZ Group
//  Web: https://BARMAZ.ru/
//  Commercial license https://BARMAZ.ru/article/litsenzionnoe-soglashenie.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 203 (2024-01-07 23:05:31)
// 

//  BARMAZ-ERP
//  Package : module 
//  name : conf 
//  Copyright (c) BARMAZ Group
//  Revision: 1.0.0 (2023/04/04)
//  Build: 203 (2024-01-07 23:14:41)
// 


defined('_BARMAZ_VALID') or die("Access denied");

$tablname	= "sitemap_man";
$keystring	= "m_id";
$namestring	= "m_loc";
$deleted	= "m_deleted";
$enabled	= "m_enabled";
$nametabl	= "Elements of xml sitemap";
$buttons = array(
	"new"			=> array("show"=>1,"view"=>"mansitemap","task"=>"modify"),
	"filter"		=> array("show"=>1,"view"=>"mansitemap"),
	"modify"		=> array("show"=>1,"view"=>"mansitemap","task"=>"modify"),
	"delete"		=> array("show"=>1,"view"=>"mansitemap","task"=>"delete"),
	"reorder"		=> array("show"=>1,"view"=>"mansitemap","task"=>"reorder"),
	"trash"			=> array("show"=>1,"link"=>false),
	"clean_trash"	=> array("show"=>1,"link"=>false)
);
$cur_table_arr = array(
		"field"				=> array(1=>'m_id','m_loc','m_lastmod','m_changefreq','m_priority','m_deleted','m_enabled','m_type','m_module','m_title'),
		"name"				=> array(1=>"ID","loc","lastmod","changefreq","priority","Deleted","Enabled",'Operation','Module','Title'),
		"input_type"		=> array(1=>"hidden", "text", "date_ajax", "text", "text","hidden","checkbox",'select','string','string'),
		"val_type"			=> array(1=>"int","string","date","string", "string","boolean","boolean",'string','string','string'),
		"check_value"=>array(2=>1),
		"ck_reestr"=>array(8=>'inc_switcher'),
		"default_value"=>array(3=>"TODAY",4=>"weekly",5=>"0.5",7=>true,8=>'1',9=>'main')
);
?>