<?php
//  BARMAZ erp system
//  Copyright (c) BARMAZ Group
//  Web: https://BARMAZ.ru/
//  Commercial license https://BARMAZ.ru/article/litsenzionnoe-soglashenie.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 203 (2024-01-07 23:05:31)
// 

//  BARMAZ-ERP
//  Package : module 
//  name : conf 
//  Copyright (c) BARMAZ Group
//  Revision: 1.0.0 (2023/04/04)
//  Build: 203 (2024-01-07 23:14:41)
// 


defined('_BARMAZ_VALID') or die("Access denied");

class defaultViewdopfields extends SpravView {
	//
	public function modify($row){
		$js="$(document).ready(function() {
			dopFieldTypeOnChange($('#f_type'));
			dopFieldTypeOnChange($('#p_f_type_select'));
		});";
		Portal::getInstance()->addScriptDeclaration($js);
		parent::modify($row);
	}	
	public function countFieldVals(&$psid, &$row, $hide_impossible=false){
		$vals_possible=($row && ($row->f_type==5 || $row->f_type==8));
		if($row && ($row->f_type==5 || $row->f_type==8)){
			$count=Module::getInstance()->getModel()->countFieldVals($psid);
			$link="index.php?module=conf&view=dopfields_choices&psid=".$psid;
			if($count)	return "<a href=\"".$link."\">".Text::_("Total").": ".$count."</a>";
			else return "<a href=\"".$link."\">".Text::_("Values absent")."</a>";
		} elseif($row) {
			return Text::_("Values impossible");
		} else {
			return Text::_("Values access will appear after save");
		}
	}
}

?>