<?php
//  BARMAZ erp system
//  Copyright (c) BARMAZ Group
//  Web: https://BARMAZ.ru/
//  Commercial license https://BARMAZ.ru/article/litsenzionnoe-soglashenie.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 203 (2024-01-07 23:05:31)
// 

//  BARMAZ-ERP
//  Package : module 
//  name : conf 
//  Copyright (c) BARMAZ Group
//  Revision: 1.0.0 (2023/04/04)
//  Build: 203 (2024-01-07 23:14:41)
// 


defined('_BARMAZ_VALID') or die("Access denied");

class defaultViewfields extends View {
	function listModules()	{
		$type=Request::getInt('m_admin_side');
		$mdl = Module::getInstance();
		$model=$mdl->getModel("fields");
		$res=$model->getModulesList($type);
		$html="";
		if(is_array($res)&&count($res)>0) {
			foreach($res as $val)	{
				$html.="<option value=\"$val\">$val</option>";
			}
		} else $html="<option value=\"0\">".Text::_("Modules absent")."</option>";
		echo $html;
	}
	function listViews()	{
		$type=Request::getInt('m_admin_side');
		$m_module=Request::get('m_module','');
		$mdl = Module::getInstance();
		$model=$mdl->getModel("fields");
		$res=$model->getViewsList($type,$m_module);
		$html="";
		if(is_array($res)&&count($res)>0) {
			foreach($res as $val)	{
				$html.="<option value=\"$val\">$val</option>";
			}
		} else $html="<option value=\"0\">".Text::_("Views absent")."</option>";
		echo $html;
	}

	function listLayouts() {
		$type=Request::getInt('m_admin_side');
		$m_module=Request::get('m_module','');
		$m_view=Request::get('m_view','');
		$mdl = Module::getInstance();
		$model=$mdl->getModel("fields");
		$res=$model->getLayoutsList($type,$m_module, $m_view);
		$html="";
		if(is_array($res)&&count($res)>0) {
			foreach($res as $val)	{
				$html.="<option value=\"$val\">$val</option>";
			}
		} else $html="<option value=\"0\">".Text::_("Layouts absent")."</option>";
		echo $html;
	}
}
?>