<?php
//  BARMAZ erp system
//  Copyright (c) BARMAZ Group
//  Web: https://BARMAZ.ru/
//  Commercial license https://BARMAZ.ru/article/litsenzionnoe-soglashenie.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 203 (2024-01-07 23:05:31)
// 

//  BARMAZ-ERP
//  Package : module 
//  name : help 
//  Copyright (c) BARMAZ Group
//  Revision: 1.0.0 (2023/04/04)
//  Build: 203 (2024-01-07 23:14:41)
// 


defined('_BARMAZ_VALID') or die("Access denied");

?>

<div class="container"><div class="row"><div class="col-md-12"><div class="minihelp">
<h3>КРАТКОЕ РУКОВОДСТВО АДМИНИСТРАТОРА ПО РАБОТЕ С СИСТЕМОЙ.</h3>

<h4 class="help_title">Вступление</h4>

<p>Данное руководство является кратким справочником по работе с системой.</p>
<p>Более подробную информацию можно получить <a class="helplink" target="_blank" href="http://BARMAZ.ru/article/dokumentatsiya.html">на сайте системы BARMAZ-CMS</a></p>
<p><span style="color: red;">ВНИМАНИЕ !!! НЕ ИЗМЕНЯЙТЕ НАСТРОЙКИ, ЕСЛИ ВЫ НЕ ЗНАЕТЕ ИХ НАЗНАЧЕНИЯ!</span></p>

<h4 class="help_title">1. Начало работы с системой</h4>
<p>Для доступа к функциям системы администрирования может использоваться меню или панель управления CPanel.</p>
<p><div title="Вот такое сообщение Вы увидите при наведении указателя мыши" class="balloon_button"></div> Если навести указатель мыши на подобный значок, то Вы увидите всплывающую подсказку</p>
<h4 class="help_title">2. Перед началом работы необходимо проверить Настройки системы и заполнение справочников</h4>
<p>Переход в дочерний справочник производится из справочника родителя путем нажатия на ссылку-название элемента родительского справочника</p>

<h4 class="help_title">3. Настройка системы</h4>
<p>производится  в разделе Конфигурация => Настройки системы<p>
<p>Сайт – настройки сайта (фронтенда),</p>
<p>Безопасность – настройки безопасности системы</p>
<p>Админ.панель – настройки панели администрирования,</p>
<p>Каталог – настройки модуля каталога,</p>
<p>Фотогалерея – настройки модуля галереи изображений,</p>
<p>Почтовые ящики – настройки электронных почтовых ящиков, используемых системой для автообмена данными.</p>
<p>Владелец сайта – данные о владельце сайта и его реквизитах,</p>

<h4 class="help_title">4. Управление модулями системы</h4>
<p>производится в разделе Конфигурация => Модули</p>

<h4 class="help_title">5. Работа с картой сайта</h4>
<p>Пересоздать карту сайта - позволяет пересоздать в корневой директории Вашего сайта статическую карту статей и продукции в форматах HTML и sitemap XML.</p>
<p>Показать карту сайта – показывает текущую карту сайта в формате HTML.</p>
 
<h4 class="help_title">6. Редактирование пользователей</h4>
<p>производится  в разделе Пользователи</p>
<p>базовые настройки  (ник, адрес электронной почты, роль в системе, пароль и т.д.),</p>
<p>расширенные настройки  (информация по адресам, дополнительная информация, информация о компании, информация о расчетном счете).</p>

<h4 class="help_title">7. Редактирование прав доступа</h4>
<p>производится в разделе ACL.</p>
<p>Данный раздел позволяет назначать права доступа пользователей с определенными ролями (заголовки столбцов таблицы) к объектам системы (заголовки строк таблицы). Включение/выключение доступа производится установкой либо снятием флажка на пересечении нужной строки с нужным столбцом.</p>

<h4 class="help_title">8. Обратная связь</h4>
<p>в данном разделе находятся отзывы, оставленные посетителями Вашего сайта.</p>

<h4 class="help_title">9. Обслуживание БД</h4>
<p>Позволяет делать резервные копии БД</p>

<h4 class="help_title">10. Проверить обновления</h4>
<p>Позволяет обновить систему в ручном или автоматическом режиме</p>
<p><span style="color: red;">ОБЯЗАТЕЛЬНО ПРОВЕРЬТЕ И СОХРАНИТЕ настройки на каждой вкладке после обновления выбрав пункт меню &quot;Конфигурация->Настройки&quot;</span></p>

<h4 class="help_title">11. Управление размером и видимостью полей в справочниках</h4>
<p>производится в разделе Конфигурация => Размер и видимость полей и позволяет настроить справочники согласно Вашим потребностям</p>

</div></div></div></div>


