//  BARMAZ erp system
//  Copyright (c) BARMAZ Group
//  Web: https://BARMAZ.ru/
//  Commercial license https://BARMAZ.ru/article/litsenzionnoe-soglashenie.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 203 (2024-01-07 23:05:31)
// 


function votePoll(pollid){
	var voteid = $("#wpoll_"+pollid+" form input[name='voteid[]']:checked").val();
	var color=$("#barcolor_"+pollid).val();
	if (voteid==undefined) { voteid=0; }
	else {
		  $.ajax({
				url : siteConfig['siteUrl']+"index.php",
				  data:({type:'module',
						 option:'ajax',
					     module:'polls',
						 psid:voteid,
						 task:'PollVote'
						}),
					dataType:'html',
					success : function(data, textStatus) {
						$('#wpoll_'+pollid).html(data);
						$('#wpoll_'+pollid+' div.percentage').each(function(i) {
							$(this).css('background',color);
						});
					},
					error : function() {
						alert('Data error');
						return false;
					}
				});
	}
}