<?php
//  BARMAZ erp system
//  Copyright (c) BARMAZ Group
//  Web: https://BARMAZ.ru/
//  Commercial license https://BARMAZ.ru/article/litsenzionnoe-soglashenie.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 203 (2024-01-07 23:05:31)
// 

//  BARMAZ-ERP
//  Package : module 
//  name : feedback 
//  Copyright (c) BARMAZ Group
//  Revision: 1.0.0 (2023/04/04)
//  Build: 203 (2024-01-07 23:14:41)
// 


defined('_BARMAZ_VALID') or die("Access denied");

$tablname='feedback';
$keystring='f_id';
$deleted='f_deleted';
$keysort="f_date";
$nametabl="Feedbacks list";
$buttons1=array(
		"go_up"=> array("show"=>0,"link"=>false),
		"new"=>array("show"=>0,"view"=>"messages","task"=>"modify"),
		"filter"=>array("show"=>0,"view"=>"messages"),
		"modify"=>array("show"=>0,"view"=>"messages","task"=>"modify"),
		"delete"=>array("show"=>0,"view"=>"messages","task"=>"delete"),
		"undelete"=>array("show"=>0,"view"=>"messages","task"=>"delete"),
		"trash"=>array("show"=>0,"link"=>false),
		"clean_trash"	=> array("show"=>0,"link"=>false)
);
$cur_table_arr=array(
		"field"=>array(1=>'f_id','f_uid', 'f_sender', 'f_mail', 'f_ip', 'f_theme',
						'f_text', 'f_date', 'f_sent'),
		"name" =>array(1=>'ID', 'Author ID', 'Your nick name', 'Your e-mail', 'IP', 'Feedback theme',
						'Feedback text', 'Date','Sent'),
		"input_type"=>array(1=>'hidden','hidden', 'text', 'text', 'hidden', 'text',
						'textarea', 'hidden', 'hidden'),
		"val_type"=>array(1=>'int','int', 'string', 'string', 'string', 'string',
						'text', 'datetime', 'boolean'),
		"view"=>array(1=>0, 0, 1, 1, 1, 1, 0, 1, 1),
		"check_value"=>array(1=>0, 0, 1, 1, 0, 1, 1, 0, 0),
);
?>