<?php
//  BARMAZ erp system
//  Copyright (c) BARMAZ Group
//  Web: https://BARMAZ.ru/
//  Commercial license https://BARMAZ.ru/article/litsenzionnoe-soglashenie.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 203 (2024-01-07 23:05:31)
// 

//  BARMAZ-ERP
//  Package : module 
//  name : feedback 
//  Copyright (c) BARMAZ Group
//  Revision: 1.0.0 (2023/04/04)
//  Build: 203 (2024-01-07 23:14:41)
// 


defined('_BARMAZ_VALID') or die("Access denied");

class feedbackModelmessage extends SpravModel {
	public function send($msgid,$theme,$sender,$mail,$ip,$feedbacktheme,$feedbacktext,$CopyAdresses=false) {
		if (!$msgid) return false;
		$to=soConfig::$siteEmail;
		if($CopyAdresses) $to.=",".$CopyAdresses;		
		$link=Router::_("/administrator/index.php?module=feedback&view=messages&task=modify&psid=".$msgid, false, true, 1, 2);
		$text=sprintf(Text::_("feedback mail text"),
		Portal::getURI(),	$sender,$mail,$ip,$feedbacktheme,$feedbacktext,$link);
		if (aNotifier::addToMailQueue($to, $theme, $text)) {
			$query="UPDATE #__feedback SET f_sent=1 WHERE f_id=".intval($msgid);
			$this->_db->setQuery($query);
			if ($this->_db->query()) return true;
			else return false;
		}
	}
}
?>