<?php
//  BARMAZ erp system
//  Copyright (c) BARMAZ Group
//  Web: https://BARMAZ.ru/
//  Commercial license https://BARMAZ.ru/article/litsenzionnoe-soglashenie.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 203 (2024-01-07 23:05:31)
// 

//  BARMAZ-ERP
//  Package : module 
//  name : mail 
//  Copyright (c) BARMAZ Group
//  Revision: 1.0.0 (2023/04/04)
//  Build: 203 (2024-01-07 23:14:41)
// 


defined('_BARMAZ_VALID') or die("Access denied");

?>
<form action="<?php echo Router::_("index.php"); ?>" method="post">
	<input type="hidden" name="module" value="mail" />
	<input type="hidden" name="task" value="send" />
	<div id="mailEditorHeader">
		<?php echo HTMLControls::renderLabelField("recvUser",Text::_('Reciever name').":"); ?>
		<input class="commonEdit form-control" size="30" type="text" id="recvUser" name="recvUser" value="<?php echo $this->recvNickname; ?>" />
		<?php echo HTMLControls::renderLabelField("letterTheme",Text::_('Theme').":"); ?>
		<input class="commonEdit form-control" size="100" type="text" id="letterTheme" name="letterTheme" value="<?php echo $this->theme; ?>" />
	</div>
	<div id="mailEditorData">
		<?php Event::raise("bbcode.editor",array("element_id"=>"letterText")); ?>
		<?php echo HTMLControls::renderBBCodeEditor('letterText','',$this->letterText); ?>
	</div>
	<div id="mailEditorCaptcha">
		<?php echo Event::raise("captcha.renderForm",array("module"=>"mail"))?>
	</div>
	<div id="mailFooter">
		<input type="submit" class="commonButton btn btn-info" value="<?php echo Text::_('Send'); ?>" />
	</div>
</form>