<?php
//  BARMAZ erp system
//  Copyright (c) BARMAZ Group
//  Web: https://BARMAZ.ru/
//  Commercial license https://BARMAZ.ru/article/litsenzionnoe-soglashenie.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 203 (2024-01-07 23:05:31)
// 

//  BARMAZ-ERP
//  Package : module 
//  name : user 
//  Copyright (c) BARMAZ Group
//  Revision: 1.0.0 (2023/04/04)
//  Build: 203 (2024-01-07 23:14:41)
// 


defined('_BARMAZ_VALID') or die("Access denied");

$address=$this->address;
if ($address["psid"]) $title=Text::_("Changing data"); else  $title=Text::_("Adding data"); 
?>
<form action="<?php echo Router::_("index.php"); ?>" method="post" name="addressForm" id="addressForm">
	<input type="hidden"  name="task" value="saveAddress" />
	<input type="hidden"  name="module" value="user" />
	<input type="hidden"  name="view" value="panel" />
	<input type="hidden"  name="psid" value="<?php echo $address["psid"];?>" />
	<div class="userAddress">
		<h3 class="title" colspan="3"><?php echo $title;?></h3>
		<div class="addressPanel"><div class="row"><div class="col-sm-5"><?php echo HTMLControls::renderLabelField("", Text::_("Address type").":");?></div><div class="col-sm-7"><?php echo Address::renderTypeSelector($address['type_id'])?></div></div></div>
		<?php echo Address::renderEditor($address, false, true);?>
		<div class="buttons">
			<input class="commonButton btn btn-info" onclick="submitAddress();" type="submit" name="submit"  value="<?php echo Text::_("Save"); ?>" />
		</div>
	</div>
</form>
