<?php
//  BARMAZ erp system
//  Copyright (c) BARMAZ Group
//  Web: https://BARMAZ.ru/
//  Commercial license https://BARMAZ.ru/article/litsenzionnoe-soglashenie.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 203 (2024-01-07 23:05:31)
// 

//  BARMAZ-ERP
//  Package : module 
//  name : user 
//  Copyright (c) BARMAZ Group
//  Revision: 1.0.0 (2023/04/04)
//  Build: 203 (2024-01-07 23:14:41)
// 


defined('_BARMAZ_VALID') or die("Access denied");

$data=$this->bank;
if ($data["psid"]) $title=Text::_("Changing data"); else  $title=Text::_("Adding data"); 
?>
<form action="<?php echo Router::_("index.php"); ?>" method="post" name="bankForm" id="bankForm">
<input type="hidden"  name="task" value="saveBank" />
<input type="hidden"  name="module" value="user" />
<input type="hidden"  name="view" value="panel" />
<div class="userAddress">
<h3 class="title"><?php echo $title;?></h3>
<?php foreach($data as $key=>$val){ 
	echo "<div class=\"row\">";
	if ($key=="use_as_default") {
		echo "<div class=\"col-md-6\">".HTMLControls::renderLabelField($key, Text::_($key).":")."</div>";
		echo "<div class=\"col-md-6\">".HTMLControls::renderCheckbox("use_as_default",$data["use_as_default"])."</div>";
	} elseif ($key=="psid") {
		echo HTMLControls::renderHiddenField($key,$val);
	} else { 
		echo "<div class=\"col-md-6\">".HTMLControls::renderLabelField($key, Text::_("$key").":")."</div>";
		echo "<div class=\"col-md-6\"><input type=\"text\" class=\"form-control\" name=\"".$key."\"  id=\"".$key."\" value=\"".$val."\" /></div>";
	}
	echo "</div>";
} ?>

	<div class="buttons">
		<input class="commonButton btn btn-info" type="submit" name="submit"  value="<?php echo Text::_("Save"); ?>" />
	</div>
</div>
</form>