<?php
//  BARMAZ erp system
//  Copyright (c) BARMAZ Group
//  Web: https://BARMAZ.ru/
//  Commercial license https://BARMAZ.ru/article/litsenzionnoe-soglashenie.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 203 (2024-01-07 23:05:31)
// 

//  BARMAZ-ERP
//  Package : module 
//  name : user 
//  Copyright (c) BARMAZ Group
//  Revision: 1.0.0 (2023/04/04)
//  Build: 203 (2024-01-07 23:14:41)
// 


defined('_BARMAZ_VALID') or die("Access denied");

?>
<div id="resetForm">
	<form id="regForm" action="<?php echo Router::_("index.php"); ?>" method="post">
		<input type="hidden" name="module" value="user" />
		<input type="hidden" name="code" value="<?php echo $this->vcode;?>" />
		<input type="hidden" name="task" value="resetPassword" />
<?php if (!User::getInstance()->isLoggedIn()) { ?>
		<?php echo HTMLControls::renderLabelField("rLogin", Text::_('Login name')); ?>
		<div class="registrationFormField">
		<input class="commonEdit required form-control" type="text" name="rLogin" id="rLogin" value="" />
		</div>
<?php } ?>
		<?php echo HTMLControls::renderLabelField("rPassword", Text::_('New password')); ?>
		<div class="registrationFormField">
		<input class="commonEdit required form-control" type="password" name="rPassword" name="rPassword" value="" />
		</div>

		<?php echo HTMLControls::renderLabelField("rPasswordRetype", Text::_('Confirm password')); ?>
		<div class="registrationFormField">
		<input class="commonEdit required form-control" type="password" name="rPasswordRetype" id="rPasswordRetype" value="" />
		</div>
<?php if (!User::getInstance()->isLoggedIn()) { ?>
		<div class="row-for-captcha"><?php echo Event::raise("captcha.renderForm",array("module"=>"user"))?></div>
<?php } ?>
		<div id="mySettingsFooter" class="buttons">
			<input type="submit" class="commonButton btn btn-info" value="<?php echo Text::_('Change password'); ?>" />
		</div>
	</form>
</div>
