<?php
//  BARMAZ erp system
//  Copyright (c) BARMAZ Group
//  Web: https://BARMAZ.ru/
//  Commercial license https://BARMAZ.ru/article/litsenzionnoe-soglashenie.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 203 (2024-01-07 23:05:31)
// 

//  BARMAZ-ERP
//  Package : module 
//  name : conf 
//  Copyright (c) BARMAZ Group
//  Revision: 1.0.0 (2023/04/04)
//  Build: 203 (2024-01-07 23:14:41)
// 


defined('_BARMAZ_VALID') or die("Access denied");

$mod_arr=Module::getInstalledModules(); asort($mod_arr);
foreach($mod_arr as $k=>$v){ $_arr[$v]=$v; } 
$form=new aForm("prepare_fields_form","post","index.php?module=conf&task=checkFields",false);
$zone_adress=""; //или пустой если по морде ползем, или "administrator/",если по админке
$form->addInput(array("TYPE"=>"checkbox", "NAME"=>"admin_zone", "TITLE"=>"Admin modules", "VAL"=>1));
$form->addInput(array("TYPE"=>"checkbox", "NAME"=>"deflt_zone", "TITLE"=>"Modules", "VAL"=>1));
$form->addInput(array('TYPE'=>"select", 'ID'=>'m_module', 'NAME'=>'m_module', 'CLASS'=>'form-control', 'SIZE'=>1, 'LABEL'=>Text::_('select mod name'), 'VAL'=>$this->m_module, 'OPTIONS'=>$_arr));
$form->addInput(array("TYPE"=>"submit", "CLASS"=>"commonButton btn btn-info", "VAL"=>Text::_("Prepare"), "NAME"=>"Prepare"));
$form->StartLayout();
?>
<div class="container"><div class="row"><div class="col-md-12"><div class="conf-manager rounded-pan rounded-pan-mini">
	<h4 class="title"><?php echo Text::_("Select module");?>	</h4>
	<div id="prepareVisio">
		<div class="row"><div class="col-md-4"><?php echo Text::_("Modules");?></div>
		<div class="col-md-8"><?php $form->renderInputPart("m_module");?></div></div>
		<div class="buttons">
			<?php $form->renderInputPart("Prepare"); ?>
		</div>
	</div>
<?php $form->endLayout(); ?>
</div></div></div></div>
