<?php
//  BARMAZ erp system
//  Copyright (c) BARMAZ Group
//  Web: https://BARMAZ.ru/
//  Commercial license https://BARMAZ.ru/article/litsenzionnoe-soglashenie.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 203 (2024-01-07 23:05:31)
// 

//BARMAZ_MODULE_INFO

defined('_BARMAZ_VALID') or die("Access denied");

?>
<div class="container"><div class="row"><div class="col-md-12"><div class="acl-manager rounded-pan rounded-pan-mini">
	<h4 class="title"><?php echo Text::_('Forum rights')." (".Text::_('Forum')."&nbsp;".$this->forum_name.")&nbsp;".Text::_('for')."&nbsp;".$this->subjectName; ?></h4>
	<form action="index.php" method="post">
		<input type="hidden" name="module" value="forum" />
		<input type="hidden" name="task" value="updateRights" />
		<input type="hidden" name="subject" value="<?php echo $this->subject; ?>" />
		<input type="hidden" name="psid" value="<?php echo $this->psid; ?>" />
		<?php if ($this->subject == 'role') { ?>
		<input type="hidden" name="roleId" value="<?php echo $this->roleId; ?>" />
		<?php } else { ?>
		<input type="hidden" name="userId" value="<?php echo $this->userId; ?>" />
		<?php }?>
		<?php foreach ($this->actions as $action) {
			$checked = ""; $vl = 0;
			if (isset($this->rules[$action])) {
				if (intval($this->rules[$action]->flag) == 1) {
					$checked = " checked=\"checked\"";
					$vl = 1;
				}
			}
			?>
			<div class="row">
				<div class="col-xs-8">
					<input type="hidden" name="oldAccess[<?php echo $action; ?>]" value="<?php echo $vl; ?>" />
					<?php echo HTMLControls::renderLabelField("access_".$action, Text::_("forum_".$action)); ?>
				</div>
				<div class="col-xs-4">
					<input type="checkbox" id="access_<?php echo $action; ?>" name="access[<?php echo $action; ?>]"<?php echo $checked; ?> />
				</div>
			</div>
		<?php } ?>
		<div class="buttons">
			<input type="submit" class="commonButton btn btn-info" name="save" value="<?php echo Text::_('Save'); ?>" />
			<input type="submit" class="commonButton btn btn-info" name="apply" value="<?php echo Text::_('Apply'); ?>" />
			<input type="button" class="commonButton btn btn-info" onclick="javascript:document.location.href='<?php echo Router::_("index.php?module=forum&view=rights&psid=".$this->psid); ?>'; return true;" value="<?php echo Text::_('Cancel'); ?>" name="cancel" />
		</div>
	</form>
</div>