<?php
//  BARMAZ erp system
//  Copyright (c) BARMAZ Group
//  Web: https://BARMAZ.ru/
//  Commercial license https://BARMAZ.ru/article/litsenzionnoe-soglashenie.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 203 (2024-01-07 23:05:31)
// 

//  BARMAZ-ERP
//  Package : module 
//  name : service 
//  Copyright (c) BARMAZ Group
//  Revision: 1.0.1 (2023/09/29)
//  Build: 203 (2024-01-07 23:14:41)
// 



defined('_BARMAZ_VALID') or die("Access denied");
Portal::getInstance()->addScript('/js/modules/conf.min.js');
$mod_arr=Module::getInstalledModules(); asort($mod_arr);
$_arr=array();
foreach($mod_arr as $v){ $_arr[$v]=$v; }

?>
<<div class="container"><div class="row"><div class="col-md-12"><div class="conf-manager rounded-pan rounded-pan-mini">
	<h4 class="title">
		<?php echo Text::_("Selector table for remove data"); ?>
	</h4>
	<div id="contentHelp" class="row">
	<ul><li>Укажите модуль, представление и отображение с которым планируете работать для получения нужной метадаты</li>
	<li>Выберите основную таблицу для переноса данных и укажите количество полей которое надо перенести из дополнительных данных
	в ОДНУ запись основной таблицы.</li>
	<li>Внимание! В метадате основной таблицы уже должны быть подготовлены поля для приема данных
	соответствующего типа</li></ul>
	</div>
	<div id="selectVisio">
		<form method="post" action="index.php">		
			<div class="prepare-visio">
				<div class="row"><div class="col-md-6"><?php echo HTMLControls::renderLabelField("m_admin_side", Text::_("Type of side").":"); ?></div>
				<div class="col-md-6"><select class="singleSelect form-control" onchange="setListVisioModules();" id="m_admin_side" name="m_admin_side"><option selected="selected" value="-1"><?php echo Text::_("Select view side"); ?></option><option value="1"><?php echo Text::_("Admin side"); ?></option><option value="0"><?php echo Text::_("Front side"); ?></option></select></div></div>			
				<div class="row"><div class="col-md-6"><?php echo HTMLControls::renderLabelField("m_module", Text::_("List of modules").":"); ?></div>
				<div class="col-md-6"><?php echo HTMLControls::renderSelect("m_module", "m_module", false, false, $_arr,Text::_("Select module"),true,"setListVisioViews();",0,"singleSelect form-control");?></div></div>
				<div class="row"><div class="col-md-6"><?php echo HTMLControls::renderLabelField("m_view", Text::_("List of views").":"); ?></div>
				<div class="col-md-6"><select class="singleSelect form-control" onchange="setListVisioLayout();" id="m_view" name="m_view"><option><?php echo Text::_("Select view"); ?></option></select></div></div>
				<div class="row"><div class="col-md-6"><?php echo HTMLControls::renderLabelField("m_layout", Text::_("List of layout").":"); ?></div>
				<div class="col-md-6"><select class="singleSelect form-control" id="m_layout" name="m_layout"><option><?php echo Text::_("Select layout"); ?></option></select></div></div>
				<div class="row"><div class="col-md-6"><?php echo HTMLControls::renderLabelField("add_table", Text::_("Additional table").":"); ?></div>
				<div class="col-md-6"><?php echo HTMLControls::renderSelect("add_table", "add_table",false, false, $this->tables);?></div></div>
				<div class="row"><div class="col-md-6"><?php echo HTMLControls::renderLabelField("count_fld", Text::_("Count fields").":"); ?></div>
				<div class="col-md-6"><?php echo HTMLControls::renderInputText("count_fld", 0,10,10,"count_fld","form-control",false,true); ?></div></div>
				<div class="buttons">
					<input class="commonButton btn btn-info" type="submit" name="save" value="<?php echo Text::_("Edit"); ?>" />
					<input type="hidden" name="module" value="service" />
					<input type="hidden" name="task" value="prepareReplacedata" />
					<input type="hidden" name="view" value="db" />
				</div>
			</div>
		</form>
	</div>
</div></div></div></div>