<?php
//  BARMAZ erp system
//  Copyright (c) BARMAZ Group
//  Web: https://BARMAZ.ru/
//  Commercial license https://BARMAZ.ru/article/litsenzionnoe-soglashenie.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 203 (2024-01-07 23:05:31)
// 

//  BARMAZ-ERP
//  Package : module 
//  name : user 
//  Copyright (c) BARMAZ Group
//  Revision: 1.0.0 (2023/04/04)
//  Build: 203 (2024-01-07 23:14:41)
// 


defined('_BARMAZ_VALID') or die("Access denied");

$tablname='blacklist';
$keystring='bl_id';
$deleted='bl_deleted';
$enabled="bl_enabled";
$nametabl="Blacklist";

$buttons=array(
		"go_up"=> array("show"=>0,"link"=>false),
		"new"=>array("show"=>1,"view"=>"blacklist","task"=>"modifyBlacklist"),
		"filter"=>array("show"=>1,"view"=>"blacklist"),
		"modify"=>array("show"=>1,"view"=>"blacklist","task"=>"modifyBlacklist"),
		"undelete"=>array("show"=>1,"view"=>"blacklist","task"=>"delete"),
		"delete"=>array("show"=>1,"view"=>"blacklist","task"=>"delete"),
		"clean_trash"	=> array("show"=>1,"link"=>false),
		"trash"=>array("show"=>1,"link"=>false)
);
$cur_table_arr=array(
				"field"=>array(1=>'bl_id', 	'bl_val', 	'bl_type', 	'bl_enabled', 	'bl_deleted'), 
				"name"=>array(1=>'ID', 	'Value', 	'Type', 	'Enabled', 	'Deleted'), 
				"input_type"=>array(1=>'hidden','text','select','checkbox','hidden'),
				"val_type"=>array(1=>'int','string','string','boolean','boolean'),
				"view"=>array(1=>0,1,1,1,0),
				"ck_reestr"   => array(3=>"blacklist_type")

);
?>