<?php
//  BARMAZ erp system
//  Copyright (c) BARMAZ Group
//  Web: https://BARMAZ.ru/
//  Commercial license https://BARMAZ.ru/article/litsenzionnoe-soglashenie.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 203 (2024-01-07 23:05:31)
// 

//  BARMAZ-ERP
//  Package : module 
//  name : user 
//  Copyright (c) BARMAZ Group
//  Revision: 1.0.0 (2023/04/04)
//  Build: 203 (2024-01-07 23:14:41)
// 


defined('_BARMAZ_VALID') or die("Access denied");

class userModelusers extends SpravModel {

	public function cleanRecords()	{
		if (parent::cleanRecords()){
			$query = "DELETE FROM #__users_addr WHERE a_uid NOT IN (SELECT u_id FROM #__users)".$this->_db->getDelimiter();
			$query.= "DELETE FROM #__users_bank WHERE b_uid NOT IN (SELECT u_id FROM #__users)".$this->_db->getDelimiter();
			$query.= "DELETE FROM #__users_company WHERE c_id NOT IN (SELECT u_id FROM #__users)".$this->_db->getDelimiter();
			$query.= "DELETE FROM #__profiles WHERE pf_id NOT IN (SELECT u_id FROM #__users)".$this->_db->getDelimiter();
			$query.= "UPDATE #__users_vendors SET uv_uid=0 WHERE uv_uid NOT IN (SELECT u_id FROM #__users)".$this->_db->getDelimiter();
			$this->_db->setQuery($query); if(!$this->_db->query_batch(true,true)) return false;
			return true;
		} else  return false;
	}
}
?>