//  BARMAZ erp system
//  Copyright (c) BARMAZ Group
//  Web: https://BARMAZ.ru/
//  Commercial license https://BARMAZ.ru/article/litsenzionnoe-soglashenie.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 203 (2024-01-07 23:05:31)
// 

//BARMAZ_MODULE_INFO


function updateRoleRuleFF(el, forum_id, role_id, act, flag) {
	var newflag=1;
	ajaxShowActivity();
	$.ajax({
		url : "index.php",
		data:({type:'module',
			option:'ajax',
			module:'forum',
			task:'updateRoleRule',
			psid:forum_id,
			role:role_id,
			act:act,
			flag:flag
		}),
		dataType:'html',
		success : function(data, textStatus) {
			if (data=='OK'){
				if (flag=='1') newflag='0'; 
				$htmlcode='<a onclick="updateRoleRuleFF(this,\''+forum_id+'\',\''+role_id+'\',\''+act+'\',\''+newflag+'\')"><img width="1" height="1" src="/images/blank.webp" alt="" class="enabled_'+flag+'" /></a>';
				$(el).parent().html($htmlcode);
				ajaxHideActivity();
			} else {
				alert('Server answered ERROR');
				ajaxHideActivity();
				return false;
			}
		},
		error : function() {
			alert('Server ERROR');
			ajaxHideActivity();
			return false;
		}
	});
}
function updateUserRuleFF(el, forum_id, user_id, act, flag) {
	var newflag=1;
	ajaxShowActivity();
	$.ajax({
		url : "index.php",
		data:({type:'module',
			option:'ajax',
			module:'forum',
			task:'updateUserRule',
			psid:forum_id,
			user:user_id,
			act:act,
			flag:flag
		}),
		dataType:'html',
		success : function(data, textStatus) {
			if (data=='OK'){
				if (flag=='1') newflag='2'; 
				$htmlcode='<a onclick="updateUserRuleFF(this,\''+forum_id+'\',\''+user_id+'\',\''+act+'\',\''+newflag+'\')"><img width="1" height="1" src="/images/blank.webp" alt="" class="enabled_'+flag+'" /></a>';
				$(el).parent().html($htmlcode);
				ajaxHideActivity();
			} else {
				alert('Server answered ERROR');
				ajaxHideActivity();
				return false;
			}
		},
		error : function() {
			alert('Server ERROR');
			ajaxHideActivity();
			return false;
		}
	});
}
function toggleForumSubscription(theme_id, subscribe){
	ajaxShowActivity();
	var url = siteConfig['siteUrl'] + 'index.php?option=ajax&module=forum&task=subscribeUserToTheme&theme_id='+theme_id+'&subscribe='+subscribe;
	$.getJSON(url, {}, function(json) {
		if (json.status==='OK') {
//			$("#subscribe_theme_button").unbind( "click" );
			$("#subscribe_theme_button").attr( "onclick" , json.event_text);
			$("#subscribe_theme_button").html(json.title);
			ajaxHideActivity();
		} else {
			alert('Error');
			ajaxHideActivity();
		}
	});
}