<?php
//  BARMAZ erp system
//  Copyright (c) BARMAZ Group
//  Web: https://BARMAZ.ru/
//  Commercial license https://BARMAZ.ru/article/litsenzionnoe-soglashenie.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 203 (2024-01-07 23:05:31)
// 

//  BARMAZ-ERP
//  Package : module 
//  name : blog 
//  Copyright (c) BARMAZ Group
//  Revision: 1.0.0 (2023/04/04)
//  Build: 203 (2024-01-07 23:14:41)
// 


defined('_BARMAZ_VALID') or die("Access denied");

$cat=$this->category;
?>
<h1 class="title"><?php echo $cat->bc_name; ?></h1>
<div><?php echo $cat->bc_comment; ?></div>
<?php foreach ($this->blogs as $blog) { ?>
<div class="blogBlock" id="blogBlock_<?php echo $blog->b_id; ?>">
	<div class="blogTitle"><a class="blogTitle" href="<?php echo Router::_("index.php?module=blog&amp;view=list&amp;psid=".$blog->b_id."&amp;alias=".$blog->b_alias); ?>"><?php echo $blog->b_name; ?></a></div>
	<div class="blogData"><?php 
		if ($blog->b_thumb) {
			$filename=BARMAZ_UF_PATH."blog".DS."blog_thumbs".DS.Files::splitAppendix($blog->b_thumb,true);
			if (Files::isImage($filename))	{
				$filelink=BARMAZ_UF."/blog_thumbs/list/".Files::splitAppendix($blog->b_thumb);
				echo "<img class=\"bThumb\" title=\"".$blog->b_title_thm."\" alt=\"".$blog->b_alt_thm."\" src=\"".$filelink."\" />";
			}
		}
		echo $blog->b_description; 
	?></div>
</div>
<?php
}
?>