<?php
//  BARMAZ erp system
//  Copyright (c) BARMAZ Group
//  Web: https://BARMAZ.ru/
//  Commercial license https://BARMAZ.ru/article/litsenzionnoe-soglashenie.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 203 (2024-01-07 23:05:31)
// 

//  BARMAZ-ERP
//  Package : module 
//  name : feedback 
//  Copyright (c) BARMAZ Group
//  Revision: 1.0.0 (2023/04/04)
//  Build: 203 (2024-01-07 23:14:41)
// 


defined('_BARMAZ_VALID') or die("Access denied");

if (count($this->list)){
	foreach($this->list as $k=>$v) {
	echo "<div class=\"fb_message row\">
			<div class=\"fb_title col-md-12\">
				<div class=\"row\">
					<div class=\"fb_theme col-md-9\">".$v->f_theme."</div>
					<div class=\"fb_date  col-md-3\">".Date::fromSQL($v->f_date,false,true)."</div>
				</div>
			</div>";
	 echo " <div class=\"fb_text col-md-12\">".$v->f_text."</div>";

	 if($v->f_read){
	 	echo "<div class=\"fb_date2 col-md-12\">".Text::_("Date of read")." ".Date::fromSQL($v->f_readdate,false,true)."</div>";
	 	if (strlen($v->f_comments)>20) {
	 		echo "<div class=\"row\">";
	 		echo "<div class=\"fb_title\">".Text::_("Comment")."</div>";
	 		echo "<div class=\"fb_text\">".$v->f_comments."</div>";
	 		echo "</div>";
	 	}
	 } else {
		 echo "<div class=\"fb_date col-md-12\">".Text::_("Unread")."</div>";
	 }
	 echo "</div>";
	}
} else {
	echo Text::_("Messages not found");
}
?>
