<?php
//  BARMAZ erp system
//  Copyright (c) BARMAZ Group
//  Web: https://BARMAZ.ru/
//  Commercial license https://BARMAZ.ru/article/litsenzionnoe-soglashenie.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 203 (2024-01-07 23:05:31)
// 

//  BARMAZ-ERP
//  Package : module 
//  name : gallery 
//  Copyright (c) BARMAZ Group
//  Revision: 1.0.0 (2023/04/04)
//  Build: 203 (2024-01-07 23:14:41)
// 


defined('_BARMAZ_VALID') or die("Access denied");

class galleryModelimages extends SpravModel {
	public function getGroup($psid=0) {
		$sql="SELECT * FROM #__gallery_groups WHERE gr_id=".(int)$psid." AND gr_deleted=0 AND gr_published=1 ORDER BY gr_ordering";
		$this->_db->setQuery($sql);
		$this->_db->loadObject($res);
		return $res;
	}
	public function getItem($psid=0) {
		$sql="select * from #__galleries where g_id=".(int)$psid." and g_deleted=0 and g_published=1 order by g_ordering";
		$this->_db->setQuery($sql);
		$this->_db->loadObject($res);
		return $res;
	}
	public function getImages($psid=0) {
		$sql="select * from #__gallery_images where gi_gallery_id=".(int)$psid." and gi_deleted=0 and gi_published=1 order by gi_ordering";
		$this->_db->setQuery($sql);
		return $this->_db->loadObjectList();
	}
	public function getImage($psid=0) {
		$sql="select * from #__gallery_images where gi_id=".(int)$psid;
		$this->_db->setQuery($sql);
		$res=false;
		$this->_db->loadObject($res);
		return $res;
	}
	public function getImgArray($psid=0, $published=1) {
		$sql="select gi_id from #__gallery_images where gi_gallery_id=".(int)$psid." and gi_deleted=0";
		if($published) $sql.=" and gi_published=1 ";
		$sql.=" order by gi_ordering";
		$this->_db->setQuery($sql);
		return $this->_db->loadResultArray();
	}	
}

?>