<?php
//  BARMAZ erp system
//  Copyright (c) BARMAZ Group
//  Web: https://BARMAZ.ru/
//  Commercial license https://BARMAZ.ru/article/litsenzionnoe-soglashenie.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 203 (2024-01-07 23:05:31)
// 

//BARMAZ_WIDGET_INFO
defined('_BARMAZ_VALID') or die("Access denied");

class langswitcherWidget extends Widget {
	protected function setParamsMask(){
		parent::setParamsMask();
	}
	public function render() {
		$widgetHTML="";
		$active_language=Text::getLanguage();
		$href=Util::getReturnUrl(false); $href=str_replace("&amp;","&",$href); $href=str_replace("&","&amp;",$href);
		if($href=='/') $href.='index.php'; // чтобы не было ошибки page absent на корне сайта
		foreach(Text::getAllLanguages() as $lng => $val) {
			if ($lng==$active_language)	$widgetHTML.= "<span class=\"language active\">";
			else	$widgetHTML.= "<span class=\"language\">";
			// заменяем ненужный язык из ссылки
			if(strpos($href,"lang=")){
				
				$href=preg_replace("/lang=\w+/","lang=".$lng,$href);
			}else{
			if (preg_match('/(\?)/', $href)) $href.="&amp;lang=".$lng; else $href.="?lang=".$lng;
			}
			$widgetHTML.= "	<a href=\"".$href."\"><img title=\"".$lng."\" alt=\"".$lng."\" src=\"/images/flags/".$lng.".png\" /></a>";
			$widgetHTML.= "</span>";
		}
		return $widgetHTML;
	}
}
?>